Summary:	LZO - a real-time data compression library
Summary(pl.UTF-8):	LZO - biblioteka kompresji danych w czasie rzeczywistym
Name:		lzo
Version:	2.09
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://www.oberhumer.com/opensource/lzo/download/%{name}-%{version}.tar.gz
# Source0-md5:	c7ffc9a103afe2d1bba0b015e7aa887f
URL:		http://www.oberhumer.com/opensource/lzo/
BuildRequires:	autoconf >= 2.67
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	libtool >= 2:2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZO is a portable lossless data compression library written in ANSI C.
It implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- Compression is pretty fast.
- Requires 64 kB of memory for compression.
- Allows you to dial up extra compression at a speed cost in the
  compressor. The speed of the decompressor is not reduced.
- Includes compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- There is also a compression level which needs only 8 kB for
  compression.
- Supports overlapping compression and in-place decompression.
- Algorithm is thread safe.
- Algorithm is lossless.

%description -l pl.UTF-8
LZO jest przenośną biblioteką do bezstratnej kompresji danych,
napisaną w ANSI C. Zaimplementowano w niej kilka algorytmów uzyskując
następującą funkcjonalność:
- dekompresja jest prosta i *bardzo* szybka
- dekompresja nie zużywa dodatkowej pamięci
- kompresja jest całkiem szybka
- kompresja wymaga 64kB pamięci
- pozwala zwiększyć kompresję zmniejszając szybkość kompresji, przy
  czym szybkość dekompresji pozostaje niezmieniona
- zawiera poziomy kompresji do generowania prekompresowanych danych,
  osiągające całkiem dobry stopień kompresji
- istnieje poziom kompresji wymagający przy kompresowaniu jedynie 8kB
  pamięci
- obsługuje kompresję nakładającą i 'in-place'
- algorytm nadaje się do bezpiecznego wykorzystania w środowisku
  wielowątkowym
- algorytm jest bezstratny

%package devel
Summary:	LZO header files
Summary(pl.UTF-8):	Pliki nagłówkowe LZO
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for LZO.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla LZO.

%package static
Summary:	LZO static library
Summary(pl.UTF-8):	Statyczna biblioteka LZO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
LZO static library.

%description static -l pl.UTF-8
Biblioteka statyczna LZO.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS NEWS README THANKS doc/LZO.FAQ doc/LZO.TXT
%attr(755,root,root) %{_libdir}/liblzo2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblzo2.so.2

%files devel
%defattr(644,root,root,755)
%doc doc/LZOAPI.TXT
%attr(755,root,root) %{_libdir}/liblzo2.so
%{_libdir}/liblzo2.la
%{_includedir}/lzo

%files static
%defattr(644,root,root,755)
%{_libdir}/liblzo2.a
%changelog
* Sun Sep 11 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lzo.git;a=log;h=master

* Sun Sep 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 316ad66
- updated to 2.09

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 75000a6
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jul 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 8211329
- updated to 2.08
- removed obsolete includes patch

* Fri Jun 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 50fc3d8
- updated to 2.07 (fixes potential buffer overrun when using large buffers)
- added includes patch (missing header in configure check)

* Sun Aug 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 379d6d5
- updated to 2.06

* Tue Apr 26 2011 Jakub Bogusz <qboosh@pld-linux.org> ded807f
- updated BRs
- disable silent-rules

* Mon Apr 25 2011 marti <marti@pld-linux.org> af07261
- up to 2.05

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 058a8f1
- Up to 2.04
- Removed patch added upstream
- Updated line numbers in crazy hack to rip only mfx_* stuff out of aclocal
- Use one sed instead of head + sed

* Thu Jun 19 2008 Jakub Bogusz <qboosh@pld-linux.org> faa9101
- updated to 2.03
- now gas asm is used on x86/x86_64 (enabled by default)

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> a94f323
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9d5d171
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 34bbca7
- converted to UTF-8

* Sun Nov 26 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 2b0d4d3
- release 2 (rebuild with P: *.la)

* Wed Nov 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 0eea8c1
- am epoch

* Wed Nov 15 2006 jackass <jackass@pld-linux.org> 1881396
- BR: automake >= 1.9.5

* Wed Aug 02 2006 sparky <sparky@pld-linux.org> 41615d8
- sed 2 patch

* Wed Aug 02 2006 sparky <sparky@pld-linux.org> e823f71
- fix for new autoconf

* Tue Aug 01 2006 sparky <sparky@pld-linux.org> dd76790
- bump autoconf version to 2.60 in BR, because of _AC_SRCDIRS

* Mon Jul 31 2006 sparky <sparky@pld-linux.org> 84b9d17
- fix build with new autoconf: s/_AC_SRCPATHS/_AC_SRCDIRS/ in configure.ac

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 3614e31
- updated to 2.02

